CLRCODE:	.EQU	$10		#The value of constant label CLRCODE is $10
DISPLAY:	.EQU	$F031		#The value of constant label DISPLAY is $F031
KEYPAD: 	.EQU	$F011		#Address of input port for keypad

		.ORG	$4000		#Start address of the program is $4000

# Clear LCD display
		LDA	CLRCODE	#Load clear code to accumulator 
		STA	[DISPLAY]	#Store accumutator content to display

# Read the first digit
READ1:	LDA	[KEYPAD]	#Load the accumulator from the keypad
		JN	[READ1] 	#Jump to LOOP if N flag is set (ACC is negative)
		CMPA	$09 		#Compare accumulator to code $09
		JC	[READ1] 	#Jump to LOOP if C flag is set (ACC > $09)
		STA	[NUM] 	#... else store accumulator to display

# Read the second digit
READ2:	LDA	[KEYPAD]	#Load the accumulator from the keypad
		JN	[READ2] 	#Jump to LOOP if N flag is set (ACC is negative)
		CMPA	$09 		#Compare accumulator to code $09
		JC	[READ2] 	#Jump to LOOP if C flag is set (ACC > $09)

# Compare the two digits
		CMPA	[NUM]		#Compare ACC with NUM
		JZ	[EQ]		#If they are equal jump to EQ label

# Write characters
		LDA	$21		#'!' character
		STA	[DISPLAY]	#Write
EQ:		LDA	$3D		#'=' character
		STA	[DISPLAY]	#Write

# 'Return'
		JMP	[$0000] 	#Jump to ROM: End of run

NUM:		.BYTE			#A variable (memory address) called NUM

		.END 			#This is the end of the program